Skip to main content
`Ctrl`+`K`

# PetscDSHasJacobian

Checks that the Jacobian functions have been set

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasJacobian(PetscDS ds, PetscBool *hasJac)

Not Collective

## Input Parameter

- ds - The `PetscDS`

## Output Parameter

- hasJac - flag that indicates the pointwise function for the Jacobian has been set

## See Also

`PetscDS`, `PetscDSGetJacobianPreconditioner()`, `PetscDSSetJacobianPreconditioner()`, `PetscDSGetJacobian()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages